Bug 1877808 - Horizon dashboard does not show volumes attached to instance
Summary: Horizon dashboard does not show volumes attached to instance
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Beth White
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 13:42 UTC by Ivan Richart
Modified: 2020-11-03 08:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 19:33:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ivan Richart 2020-09-10 13:42:59 UTC
Description of problem:

Instance is up and running, openstack show <instance> is showing correctly volumes attached to instance, however when user is using dashboard to check instance properties and setting, volume information is not present inside dashboard

Version-Release number of selected component (if applicable):
Openstack 15

puppet-horizon-14.4.1-0.20190425170346.8a5fe3a.el8ost.noarch

How reproducible:

Steps to Reproduce:

1.  Running openstack command

$ openstack server show 55a6e14c-xxxxxx volumes_attached are present in output

+-------------------------------------+-----------------------------------------------------------------+

| Field                               | Value                                                           |

+-------------------------------------+-----------------------------------------------------------------+

| OS-DCF:diskConfig                   | AUTO                                                            |

| OS-EXT-AZ:availability_zone         | nova                                                            |

| OS-EXT-SRV-ATTR:host                | compute

| OS-EXT-SRV-ATTR:hypervisor_hostname | compute                    |

| OS-EXT-SRV-ATTR:instance_name       | instance                                           |

| OS-EXT-STS:power_state              | Running                                                         |

| OS-EXT-STS:task_state               | None                                                            |

| OS-EXT-STS:vm_state                 | active                                                          |

| OS-SRV-USG:launched_at              | 2020-04-2xxx                                     |

| OS-SRV-USG:terminated_at            | None                                                            |

| accessIPv4                          |                                                                 |

| accessIPv6                          |                                                                 |

| addresses                           | name=10.xx.xx.xx                                  |

| config_drive                        |                                                                 |

| created                             | 2020-xx                                         |

| flavor                              | xx-16vCPU-64GBMemory xx |

| hostId                              | 457829c8e077a7edxxxxxxxxxx        |

| id                                  | 55a6e14c-xxxxxxxxxx                            |

| image                               |                                                                 |

| key_name                            | key                                                    |

| name                                | name                                                 |

| progress                            | 0                                                               |

| project_id                          | 0c72fxxxxxx                               |

| properties                          |                                                                 |

| security_groups                     | name='name'                                              |

| status                              | ACTIVE                                                          |

| updated                             | 2020-08-xxxx                                           |

| user_id                             | 6fc53xxxxxxxxxxx
| volumes_attached                    | id='9bed5ed2-xxxx'                       |

|                                     | id='c5103450-xxxx'                       |

|                                     | id='3bb6ddf7-1xxxxx'                       |

|                                     | id='6d509df5-xxxx'                       |

|                                     | id='ec1ec9d7-xxxx'                       |

|                                     | id='4bd43915-xxxxxx'                       |

|                                     | id='04a52696-xxxx'                       |

|                                     | id='fe061ea4-xxxxx'                       |

|                                     | id='c3baa36e-xxxxx'                       |

|                                     | id='50bd038d-xxxxx'                       |

|                                     | id='11c64c5b-xxxxxx                       |

+-------------------------------------+-----------------------------------------------------------------+


2. See png attached missing-attached-volumes-CV-vm-dashboard.png

#### ERROR found in log file ###

/var/log/containers/horizon/horizon.log.1

novaclient.exceptions.NotFound: Instance 55a6e14c-xxx could not be found. (HTTP 404) (Request-ID: req-5ec4eeaa-b2af-456d-b5c7-49d680aacaa5)
2020-09-07 14:14:48,373 26 ERROR horizon.exceptions Not Found: Instance 55a6e14c-xxxx could not be found. (HTTP 404) (Request-ID: req-425298be-f8e0-4a13-996c-420a4f894bbf)
Traceback (most recent call last):
  File "/usr/share/openstack-dashboard/openstack_dashboard/dashboards/project/volumes/tables.py", line 366, in get_attachment_name
    server = api.nova.server_get(request, server_id)
  File "/usr/share/openstack-dashboard/openstack_dashboard/api/_nova.py", line 154, in server_get
    instance_id), request)
  File "/usr/lib/python3.6/site-packages/novaclient/v2/servers.py", line 819, in get
    return self._get("/servers/%s" % base.getid(server), "server")
  File "/usr/lib/python3.6/site-packages/novaclient/base.py", line 353, in _get
    resp, body = self.api.client.get(url)
  File "/usr/lib/python3.6/site-packages/keystoneauth1/adapter.py", line 375, in get
    return self.request(url, 'GET', **kwargs)
  File "/usr/lib/python3.6/site-packages/novaclient/client.py", line 78, in request
    raise exceptions.from_response(resp, body, url, method)



Actual results:
User is not able to see same information got by CLI (openstack commands) and same information got via dashboard
 
Expected results:

See same and coherent information through both ways 

Additional info:

Comment 3 Radomir Dopieralski 2020-09-10 14:10:26 UTC
OSP15 is not going to have any more z-stream releases anymore.

To fix this, we would need to have a hotfix approved first.

Also, can you please attach the complete log file?

Comment 9 stchen 2020-09-30 19:33:33 UTC
Closing EOL, OSP 15 has been retired as of Sept 19


Note You need to log in before you can comment on or make changes to this bug.